- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes

# AttributeSliderArrayWithCheckbox Class Reference

Search for all occurrences

## Detailed Description

A widget which is used to display and alter some values for a bool attribute.

Definition at line 397 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for AttributeSliderArrayWithCheckbox:
[legend]

List of all members.

## Public Slots
void | OnChange (void)
## Public Member Functions
| AttributeSliderArrayWithCheckbox (QWidget *pParent, int iWidth, AttributeCheckableFloatArray *pAttribute)
## Protected Attributes
QVector< QLabel * > | m_aLabel
QVector< QLineEdit * > | m_aEditBox
QVector< QSlider * > | m_aSlider
QGroupBox | m_cGroupBox

## Constructor & Destructor Documentation

AttributeSliderArrayWithCheckbox | ( | QWidget * | pParent,
|  | int | iWidth,
|  | AttributeCheckableFloatArray * | pAttribute
| ) |  |

## Member Function Documentation

void OnChange | ( | void |  | ) | `[slot]`

Search for all occurrences

## Member Data Documentation

QVector<QLabel *> m_aLabel `[protected]`

Search for all occurrences

Definition at line 404 of file widgets.h.

QVector<QLineEdit *> m_aEditBox `[protected]`

Search for all occurrences

Definition at line 405 of file widgets.h.

QVector<QSlider *> m_aSlider `[protected]`

Search for all occurrences

Definition at line 406 of file widgets.h.

QGroupBox m_cGroupBox `[protected]`

Search for all occurrences

Definition at line 407 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox
AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox AttributeSliderArrayWithCheckbox